csVerbosityManager Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csVerbosityManager Class Reference

Default iVerbosityManager implementation. More...

`#include <csutil/verbosity.h>`

Inheritance diagram for csVerbosityManager:

List of all members.

## Public Member Functions
| csVerbosityManager (char const *flags=0)
| Constructor.
virtual bool | Enabled (char const *flag=0, bool fuzzy=true) const
| Check if verbosity should be enabled for a particular flag.
virtual void | Parse (char const *flags)
| Parse additional verbosity flags.
virtual | ~csVerbosityManager ()
| Destructor.

## Detailed Description

Default iVerbosityManager implementation.

Basically a thin wrapper around csVerbosityParser. An instance of iVerbosityManager can be extracted from the global iObjectRegistry once csInitializer::CreateEnvironment() or csInitializer::CreateVerbosityManager() has been invoked.

See also:
  csVerbosityParser
  csCheckVerbosity
  csParseVerbosity;
  iVerbosityManager

Definition at line 247 of file verbosity.h.

## Constructor & Destructor Documentation

csVerbosityManager::csVerbosityManager | ( | char const * | flags = `0` | ) | `[inline]`

Constructor.

Remarks:
  See the csVerbosityParser constructor for detailed information regarding the interpretation of flags.

Definition at line 259 of file verbosity.h.

virtual csVerbosityManager::~csVerbosityManager | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 263 of file verbosity.h.

## Member Function Documentation

virtual bool csVerbosityManager::Enabled | ( | char const * | flag = `0`,
|  | bool | fuzzy = `true`
| ) |  | const`[inline, virtual]`

Check if verbosity should be enabled for a particular flag.

Parameters:

  flag | The flag for which verboseness should be queried.
  fuzzy | Whether the search should match flag exactly (fuzzy = false) or if it can traverse the inheritance chain when searching for a match (fuzzy = true).

Remarks:
  See the csVerbosityParser class description and csVerbosityParser::Enabled() for detailed information regarding the interpretation of flag and fuzzy.

Implements iVerbosityManager.

Definition at line 283 of file verbosity.h.

virtual void csVerbosityManager::Parse | ( | char const * | flags | ) | `[inline, virtual]`

Parse additional verbosity flags.

Remarks:
  See csVerbosityParser::Parse() for detailed information regarding the interpretation of flags.

Implements iVerbosityManager.

Definition at line 270 of file verbosity.h.

The documentation for this class was generated from the following file:

- csutil/verbosity.h